| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csStringArrayElementHandler Class Reference

Inheritance diagram for csStringArrayElementHandler:

[legend]
List of all members.

## Static Public Member Functions
static void | Construct (const char **address, const char *const &src)
| Copy-construct an element.
static void | Destroy (const char **address)
| Destroy an element.
static void | InitRegion (const char **address, size_t count)
| Construct a number of elements.

## Detailed Description

Definition at line 33 of file stringarray.h.

## Member Function Documentation

static void csStringArrayElementHandler::Construct | ( | const char ** | address,
|  | const char *const & | src |
| ) |  |  | `[inline, static]`

Copy-construct an element.

Reimplemented from csArrayElementHandler< const char * >.

Definition at line 36 of file stringarray.h.

References csStrNew().

static void csStringArrayElementHandler::Destroy | ( | const char ** | address | ) | `[inline, static]`

Destroy an element.

Reimplemented from csArrayElementHandler< const char * >.

Definition at line 41 of file stringarray.h.

static void csStringArrayElementHandler::InitRegion | ( | const char ** | address,
|  | size_t | count |
| ) |  |  | `[inline, static]`

Construct a number of elements.

Reimplemented from csArrayElementHandler< const char * >.

Definition at line 46 of file stringarray.h.

The documentation for this class was generated from the following file:

- csutil/stringarray.h